import * as $dara from '@darabonba/typescript';
import { AttachKeyPairResponseBody } from "./AttachKeyPairResponseBody";
export declare class AttachKeyPairResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AttachKeyPairResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
